/*
 * MosP - Mind Open Source Project    http://www.mosp.jp/
 * Copyright (C) MIND Co., Ltd.       http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package jp.mosp.payroll.bonus.dto;

import java.util.Date;
import java.util.Map;

import jp.mosp.common.common.BaseDto;
import jp.mosp.payroll.bonus.BonusConst;

public class BonusDetailDto extends BaseDto {
	
	private static final long	serialVersionUID	= 2613587750422757053L;
	
	// フィールド
	protected String			kCode				= "";					// 社員コード
	protected Date				calcDate;									// 計算年月
	protected Date				payday;									// 給与支給日
	protected String			calcStatus			= "";					// 計算ステータス
	protected String			kName				= "";					// 社員氏名
	protected String			stationCode			= "";					// 所属コード
	protected String			positionCode		= "";					// 職位コード
	protected String			employmentType		= "";					// 雇用区分
	protected Integer			bonusAllowance01;							// 賞与支給項目01
	protected Integer			bonusAllowance02;							// 賞与支給項目02
	protected Integer			bonusAllowance03;							// 賞与支給項目03
	protected Integer			bonusAllowance04;							// 賞与支給項目04
	protected Integer			bonusAllowance05;							// 賞与支給項目05
	protected Integer			bonusAllowance06;							// 賞与支給項目06
	protected Integer			bonusAllowance07;							// 賞与支給項目07
	protected Integer			bonusAllowance08;							// 賞与支給項目08
	protected Integer			bonusAllowance09;							// 賞与支給項目09
	protected Integer			bonusAllowance10;							// 賞与支給項目10
	protected Integer			bonusAllowance11;							// 賞与支給項目11
	protected Integer			bonusAllowance12;							// 賞与支給項目12
	protected Integer			bonusAllowance13;							// 賞与支給項目13
	protected Integer			bonusAllowance14;							// 賞与支給項目14
	protected Integer			bonusAllowance15;							// 賞与支給項目15
	protected Integer			bonusAllowance16;							// 賞与支給項目16
	protected Integer			bonusAllowance17;							// 賞与支給項目17
	protected Integer			bonusAllowance18;							// 賞与支給項目18
	protected Integer			bonusAllowance19;							// 賞与支給項目19
	protected Integer			bonusAllowance20;							// 賞与支給項目20
	protected Integer			healthInsurance;							// 健康保険料
	protected Integer			pensionInsurance;							// 厚生年金保険
	protected Integer			employeeInsurance;							// 雇用保険料
	protected Integer			incomeTax;									// 所得税
	protected Integer			nursingInsurance;							// 介護保険料
	protected Integer			bonusDeduction06;							// 賞与控除項目06
	protected Integer			bonusDeduction07;							// 賞与控除項目07
	protected Integer			bonusDeduction08;							// 賞与控除項目08
	protected Integer			bonusDeduction09;							// 賞与控除項目09
	protected Integer			bonusDeduction10;							// 賞与控除項目10
	protected Integer			bonusDeduction11;							// 賞与控除項目11
	protected Integer			bonusDeduction12;							// 賞与控除項目12
	protected Integer			bonusDeduction13;							// 賞与控除項目13
	protected Integer			bonusDeduction14;							// 賞与控除項目14
	protected Integer			bonusDeduction15;							// 賞与控除項目15
	protected Integer			bonusDeduction16;							// 賞与控除項目16
	protected Integer			bonusDeduction17;							// 賞与控除項目17
	protected Integer			bonusDeduction18;							// 賞与控除項目18
	protected Integer			bonusDeduction19;							// 賞与控除項目19
	protected Integer			bonusDeduction20;							// 賞与控除項目20
	protected Integer			allowanceTotal;							// 総支給金額
	protected Integer			deductionTotal;							// 総控除金額
	protected Integer			paymentTotal;								// 差引支給額
	protected Integer			bank1PayAmount;							// 銀行1振込額
	protected Integer			bank2PayAmount;							// 銀行2振込額
	protected Integer			cashPayAmount;								// 現金支給額
	protected Integer			dependentCount;							// 扶養等の数
	protected Integer			lastMonthTaxation;							// 前月給与の課税対象額
	protected Integer			totalYearBonus;							// 年度累計賞与額
																			
	protected String			belongCode;								// 営業所コード
																			
	protected String			titleAllowance01;							// 支給項目01タイトル
	protected String			titleAllowance02;							// 支給項目02タイトル
	protected String			titleAllowance03;							// 支給項目03タイトル
	protected String			titleAllowance04;							// 支給項目04タイトル
	protected String			titleAllowance05;							// 支給項目05タイトル
	protected String			titleAllowance06;							// 支給項目06タイトル
	protected String			titleAllowance07;							// 支給項目07タイトル
	protected String			titleAllowance08;							// 支給項目08タイトル
	protected String			titleAllowance09;							// 支給項目09タイトル
	protected String			titleAllowance10;							// 支給項目10タイトル
	protected String			titleAllowance11;							// 支給項目11タイトル
	protected String			titleAllowance12;							// 支給項目12タイトル
	protected String			titleAllowance13;							// 支給項目13タイトル
	protected String			titleAllowance14;							// 支給項目14タイトル
	protected String			titleAllowance15;							// 支給項目15タイトル
	protected String			titleAllowance16;							// 支給項目16タイトル
	protected String			titleAllowance17;							// 支給項目17タイトル
	protected String			titleAllowance18;							// 支給項目18タイトル
	protected String			titleAllowance19;							// 支給項目19タイトル
	protected String			titleAllowance20;							// 支給項目20タイトル
	protected String			titleDeduction01;							// 控除項目01タイトル
	protected String			titleDeduction02;							// 控除項目02タイトル
	protected String			titleDeduction03;							// 控除項目03タイトル
	protected String			titleDeduction04;							// 控除項目04タイトル
	protected String			titleDeduction05;							// 控除項目05タイトル
	protected String			titleDeduction06;							// 控除項目06タイトル
	protected String			titleDeduction07;							// 控除項目07タイトル
	protected String			titleDeduction08;							// 控除項目08タイトル
	protected String			titleDeduction09;							// 控除項目09タイトル
	protected String			titleDeduction10;							// 控除項目10タイトル
	protected String			titleDeduction11;							// 控除項目11タイトル
	protected String			titleDeduction12;							// 控除項目12タイトル
	protected String			titleDeduction13;							// 控除項目13タイトル
	protected String			titleDeduction14;							// 控除項目14タイトル
	protected String			titleDeduction15;							// 控除項目15タイトル
	protected String			titleDeduction16;							// 控除項目16タイトル
	protected String			titleDeduction17;							// 控除項目17タイトル
	protected String			titleDeduction18;							// 控除項目18タイトル
	protected String			titleDeduction19;							// 控除項目19タイトル
	protected String			titleDeduction20;							// 控除項目20タイトル
																			
	protected String			year;
	protected String			month;
	

	/**
	 * コンストラクタ
	 */
	public BonusDetailDto(PdBonusDto dto, Map<String, PsDetailDto> mapDetail) {
		super();
		// 給与データをもとに値を設定
		kCode = dto.getKCode();
		calcDate = dto.getCalcDate();
		payday = dto.getPayday();
		calcStatus = dto.getCalcStatus();
		kName = dto.getKName();
		stationCode = dto.getStationCode();
		positionCode = dto.getPositionCode();
		employmentType = dto.getEmploymentType();
		
		allowanceTotal = new Integer(dto.getAllowanceTotal());
		deductionTotal = new Integer(dto.getDeductionTotal());
		paymentTotal = new Integer(dto.getPaymentTotal());
		bank1PayAmount = new Integer(dto.getBank1PayAmount());
		bank2PayAmount = new Integer(dto.getBank2PayAmount());
		cashPayAmount = new Integer(dto.getCashPayAmount());
		dependentCount = new Integer(dto.getDependentCount());
		lastMonthTaxation = new Integer(dto.getLastMonthTaxation());
		totalYearBonus = new Integer(dto.getTotalYearBonus());
		
		// 明細設定をもとに値を設定
		
		bonusAllowance01 = getDetailValue(getDetail(mapDetail, BonusConst.UP_BONUS_ALLOWANCE_01), dto
			.getBonusAllowance01());
		bonusAllowance02 = getDetailValue(getDetail(mapDetail, BonusConst.UP_BONUS_ALLOWANCE_02), dto
			.getBonusAllowance02());
		bonusAllowance03 = getDetailValue(getDetail(mapDetail, BonusConst.UP_BONUS_ALLOWANCE_03), dto
			.getBonusAllowance03());
		bonusAllowance04 = getDetailValue(getDetail(mapDetail, BonusConst.UP_BONUS_ALLOWANCE_04), dto
			.getBonusAllowance04());
		bonusAllowance05 = getDetailValue(getDetail(mapDetail, BonusConst.UP_BONUS_ALLOWANCE_05), dto
			.getBonusAllowance05());
		bonusAllowance06 = getDetailValue(getDetail(mapDetail, BonusConst.UP_BONUS_ALLOWANCE_06), dto
			.getBonusAllowance06());
		bonusAllowance07 = getDetailValue(getDetail(mapDetail, BonusConst.UP_BONUS_ALLOWANCE_07), dto
			.getBonusAllowance07());
		bonusAllowance08 = getDetailValue(getDetail(mapDetail, BonusConst.UP_BONUS_ALLOWANCE_08), dto
			.getBonusAllowance08());
		bonusAllowance09 = getDetailValue(getDetail(mapDetail, BonusConst.UP_BONUS_ALLOWANCE_09), dto
			.getBonusAllowance09());
		bonusAllowance10 = getDetailValue(getDetail(mapDetail, BonusConst.UP_BONUS_ALLOWANCE_10), dto
			.getBonusAllowance10());
		bonusAllowance11 = getDetailValue(getDetail(mapDetail, BonusConst.UP_BONUS_ALLOWANCE_11), dto
			.getBonusAllowance11());
		bonusAllowance12 = getDetailValue(getDetail(mapDetail, BonusConst.UP_BONUS_ALLOWANCE_12), dto
			.getBonusAllowance12());
		bonusAllowance13 = getDetailValue(getDetail(mapDetail, BonusConst.UP_BONUS_ALLOWANCE_13), dto
			.getBonusAllowance13());
		bonusAllowance14 = getDetailValue(getDetail(mapDetail, BonusConst.UP_BONUS_ALLOWANCE_14), dto
			.getBonusAllowance14());
		bonusAllowance15 = getDetailValue(getDetail(mapDetail, BonusConst.UP_BONUS_ALLOWANCE_15), dto
			.getBonusAllowance15());
		bonusAllowance16 = getDetailValue(getDetail(mapDetail, BonusConst.UP_BONUS_ALLOWANCE_16), dto
			.getBonusAllowance16());
		bonusAllowance17 = getDetailValue(getDetail(mapDetail, BonusConst.UP_BONUS_ALLOWANCE_17), dto
			.getBonusAllowance17());
		bonusAllowance18 = getDetailValue(getDetail(mapDetail, BonusConst.UP_BONUS_ALLOWANCE_18), dto
			.getBonusAllowance18());
		bonusAllowance19 = getDetailValue(getDetail(mapDetail, BonusConst.UP_BONUS_ALLOWANCE_19), dto
			.getBonusAllowance19());
		bonusAllowance20 = getDetailValue(getDetail(mapDetail, BonusConst.UP_BONUS_ALLOWANCE_20), dto
			.getBonusAllowance20());
		healthInsurance = getDetailValue(getDetail(mapDetail, BonusConst.UP_BONUS_DEDUCTION_01), dto
			.getHealthInsurance());
		pensionInsurance = getDetailValue(getDetail(mapDetail, BonusConst.UP_BONUS_DEDUCTION_02), dto
			.getPensionInsurance());
		employeeInsurance = getDetailValue(getDetail(mapDetail, BonusConst.UP_BONUS_DEDUCTION_03), dto
			.getEmployeeInsurance());
		incomeTax = getDetailValue(getDetail(mapDetail, BonusConst.UP_BONUS_DEDUCTION_04), dto.getIncomeTax());
		nursingInsurance = getDetailValue(getDetail(mapDetail, BonusConst.UP_BONUS_DEDUCTION_05), dto
			.getNursingInsurance());
		bonusDeduction06 = getDetailValue(getDetail(mapDetail, BonusConst.UP_BONUS_DEDUCTION_06), dto
			.getBonusDeduction06());
		bonusDeduction06 = getDetailValue(getDetail(mapDetail, BonusConst.UP_BONUS_DEDUCTION_07), dto
			.getBonusDeduction07());
		bonusDeduction08 = getDetailValue(getDetail(mapDetail, BonusConst.UP_BONUS_DEDUCTION_08), dto
			.getBonusDeduction08());
		bonusDeduction09 = getDetailValue(getDetail(mapDetail, BonusConst.UP_BONUS_DEDUCTION_09), dto
			.getBonusDeduction09());
		bonusDeduction10 = getDetailValue(getDetail(mapDetail, BonusConst.UP_BONUS_DEDUCTION_10), dto
			.getBonusDeduction10());
		bonusDeduction11 = getDetailValue(getDetail(mapDetail, BonusConst.UP_BONUS_DEDUCTION_11), dto
			.getBonusDeduction11());
		bonusDeduction12 = getDetailValue(getDetail(mapDetail, BonusConst.UP_BONUS_DEDUCTION_12), dto
			.getBonusDeduction12());
		bonusDeduction13 = getDetailValue(getDetail(mapDetail, BonusConst.UP_BONUS_DEDUCTION_13), dto
			.getBonusDeduction13());
		bonusDeduction14 = getDetailValue(getDetail(mapDetail, BonusConst.UP_BONUS_DEDUCTION_14), dto
			.getBonusDeduction14());
		bonusDeduction15 = getDetailValue(getDetail(mapDetail, BonusConst.UP_BONUS_DEDUCTION_15), dto
			.getBonusDeduction15());
		bonusDeduction16 = getDetailValue(getDetail(mapDetail, BonusConst.UP_BONUS_DEDUCTION_16), dto
			.getBonusDeduction16());
		bonusDeduction17 = getDetailValue(getDetail(mapDetail, BonusConst.UP_BONUS_DEDUCTION_17), dto
			.getBonusDeduction17());
		bonusDeduction18 = getDetailValue(getDetail(mapDetail, BonusConst.UP_BONUS_DEDUCTION_18), dto
			.getBonusDeduction18());
		bonusDeduction19 = getDetailValue(getDetail(mapDetail, BonusConst.UP_BONUS_DEDUCTION_19), dto
			.getBonusDeduction19());
		bonusDeduction20 = getDetailValue(getDetail(mapDetail, BonusConst.UP_BONUS_DEDUCTION_20), dto
			.getBonusDeduction20());
		
		titleAllowance01 = getDetailName(getDetail(mapDetail, BonusConst.UP_BONUS_ALLOWANCE_01), bonusAllowance01);
		titleAllowance02 = getDetailName(getDetail(mapDetail, BonusConst.UP_BONUS_ALLOWANCE_02), bonusAllowance02);
		titleAllowance03 = getDetailName(getDetail(mapDetail, BonusConst.UP_BONUS_ALLOWANCE_03), bonusAllowance03);
		titleAllowance04 = getDetailName(getDetail(mapDetail, BonusConst.UP_BONUS_ALLOWANCE_04), bonusAllowance04);
		titleAllowance05 = getDetailName(getDetail(mapDetail, BonusConst.UP_BONUS_ALLOWANCE_05), bonusAllowance05);
		titleAllowance06 = getDetailName(getDetail(mapDetail, BonusConst.UP_BONUS_ALLOWANCE_06), bonusAllowance06);
		titleAllowance07 = getDetailName(getDetail(mapDetail, BonusConst.UP_BONUS_ALLOWANCE_07), bonusAllowance07);
		titleAllowance08 = getDetailName(getDetail(mapDetail, BonusConst.UP_BONUS_ALLOWANCE_08), bonusAllowance08);
		titleAllowance09 = getDetailName(getDetail(mapDetail, BonusConst.UP_BONUS_ALLOWANCE_09), bonusAllowance09);
		titleAllowance10 = getDetailName(getDetail(mapDetail, BonusConst.UP_BONUS_ALLOWANCE_10), bonusAllowance10);
		titleAllowance11 = getDetailName(getDetail(mapDetail, BonusConst.UP_BONUS_ALLOWANCE_11), bonusAllowance11);
		titleAllowance12 = getDetailName(getDetail(mapDetail, BonusConst.UP_BONUS_ALLOWANCE_12), bonusAllowance12);
		titleAllowance13 = getDetailName(getDetail(mapDetail, BonusConst.UP_BONUS_ALLOWANCE_13), bonusAllowance13);
		titleAllowance14 = getDetailName(getDetail(mapDetail, BonusConst.UP_BONUS_ALLOWANCE_14), bonusAllowance14);
		titleAllowance15 = getDetailName(getDetail(mapDetail, BonusConst.UP_BONUS_ALLOWANCE_15), bonusAllowance15);
		titleAllowance16 = getDetailName(getDetail(mapDetail, BonusConst.UP_BONUS_ALLOWANCE_16), bonusAllowance16);
		titleAllowance17 = getDetailName(getDetail(mapDetail, BonusConst.UP_BONUS_ALLOWANCE_17), bonusAllowance17);
		titleAllowance18 = getDetailName(getDetail(mapDetail, BonusConst.UP_BONUS_ALLOWANCE_18), bonusAllowance18);
		titleAllowance19 = getDetailName(getDetail(mapDetail, BonusConst.UP_BONUS_ALLOWANCE_19), bonusAllowance19);
		titleAllowance20 = getDetailName(getDetail(mapDetail, BonusConst.UP_BONUS_ALLOWANCE_20), bonusAllowance20);
		titleDeduction01 = getDetailName(getDetail(mapDetail, BonusConst.UP_BONUS_DEDUCTION_01), healthInsurance);
		titleDeduction02 = getDetailName(getDetail(mapDetail, BonusConst.UP_BONUS_DEDUCTION_02), pensionInsurance);
		titleDeduction03 = getDetailName(getDetail(mapDetail, BonusConst.UP_BONUS_DEDUCTION_03), employeeInsurance);
		titleDeduction04 = getDetailName(getDetail(mapDetail, BonusConst.UP_BONUS_DEDUCTION_04), incomeTax);
		titleDeduction05 = getDetailName(getDetail(mapDetail, BonusConst.UP_BONUS_DEDUCTION_05), nursingInsurance);
		titleDeduction06 = getDetailName(getDetail(mapDetail, BonusConst.UP_BONUS_DEDUCTION_06), bonusDeduction06);
		titleDeduction07 = getDetailName(getDetail(mapDetail, BonusConst.UP_BONUS_DEDUCTION_07), bonusDeduction07);
		titleDeduction08 = getDetailName(getDetail(mapDetail, BonusConst.UP_BONUS_DEDUCTION_08), bonusDeduction08);
		titleDeduction09 = getDetailName(getDetail(mapDetail, BonusConst.UP_BONUS_DEDUCTION_09), bonusDeduction09);
		titleDeduction10 = getDetailName(getDetail(mapDetail, BonusConst.UP_BONUS_DEDUCTION_10), bonusDeduction10);
		titleDeduction11 = getDetailName(getDetail(mapDetail, BonusConst.UP_BONUS_DEDUCTION_11), bonusDeduction11);
		titleDeduction12 = getDetailName(getDetail(mapDetail, BonusConst.UP_BONUS_DEDUCTION_12), bonusDeduction12);
		titleDeduction13 = getDetailName(getDetail(mapDetail, BonusConst.UP_BONUS_DEDUCTION_13), bonusDeduction13);
		titleDeduction14 = getDetailName(getDetail(mapDetail, BonusConst.UP_BONUS_DEDUCTION_14), bonusDeduction14);
		titleDeduction15 = getDetailName(getDetail(mapDetail, BonusConst.UP_BONUS_DEDUCTION_15), bonusDeduction15);
		titleDeduction16 = getDetailName(getDetail(mapDetail, BonusConst.UP_BONUS_DEDUCTION_16), bonusDeduction16);
		titleDeduction17 = getDetailName(getDetail(mapDetail, BonusConst.UP_BONUS_DEDUCTION_17), bonusDeduction17);
		titleDeduction18 = getDetailName(getDetail(mapDetail, BonusConst.UP_BONUS_DEDUCTION_18), bonusDeduction18);
		titleDeduction19 = getDetailName(getDetail(mapDetail, BonusConst.UP_BONUS_DEDUCTION_19), bonusDeduction19);
		titleDeduction20 = getDetailName(getDetail(mapDetail, BonusConst.UP_BONUS_DEDUCTION_20), bonusDeduction20);
		
	}
	
	/**
	 * 明細設定を取得する。<br>
	 * @param mapDetail  明細設定
	 * @param detailCode 明細設定コード
	 * @return
	 */
	private PsDetailDto getDetail(Map<String, PsDetailDto> mapDetail, String detailCode) {
		if (mapDetail == null) {
			return null;
		}
		return mapDetail.get(detailCode);
	}
	
	/**
	 * 明細名称を取得する。<br>
	 * @param detail 明細設定
	 * @param value  明細値
	 * @return 明細名称
	 */
	private String getDetailName(PsDetailDto detail, Integer value) {
		// 明細設定が無い場合
		if (detail == null) {
			return "";
		}
		// 0円非表示であり0円の場合
		if ((value == null || value.intValue() == 0) && BonusConst.DISPLAY_NOT_ZERO.equals(detail.getDetailDisplay())) {
			return "";
		}
		// それ以外の場合
		return detail.getDetailName();
	}
	
	/**
	 * 明細値を取得する。<br>
	 * @param detail 明細設定
	 * @param value  明細値
	 * @return 明細値
	 */
	private Integer getDetailValue(PsDetailDto detail, int value) {
		// 明細設定が無く0円の場合
		if (detail == null && value == 0) {
			return null;
		}
		// 明細設定があり0円非表示であり0円の場合
		if (detail != null && value == 0 && BonusConst.DISPLAY_NOT_ZERO.equals(detail.getDetailDisplay())) {
			return null;
		}
		// それ以外の場合
		return new Integer(value);
	}
	
	// アクセサメソッド
	public String getKCode() {
		return kCode;
	} // 社員コード
	
	public Date getCalcDate() {
		return getDateField(calcDate);
	} // 計算年月
	
	public Date getPayday() {
		return getDateField(payday);
	} // 給与支給日
	
	public String getCalcStatus() {
		return calcStatus;
	} // 計算ステータス
	
	public String getKName() {
		return kName;
	} // 社員氏名
	
	public String getStationCode() {
		return stationCode;
	} // 所属コード
	
	public String getPositionCode() {
		return positionCode;
	} // 職位コード
	
	public String getEmploymentType() {
		return employmentType;
	} // 雇用区分
	
	public Integer getBonusAllowance01() {
		return bonusAllowance01;
	} // 賞与支給項目01
	
	public Integer getBonusAllowance02() {
		return bonusAllowance02;
	} // 賞与支給項目02
	
	public Integer getBonusAllowance03() {
		return bonusAllowance03;
	} // 賞与支給項目03
	
	public Integer getBonusAllowance04() {
		return bonusAllowance04;
	} // 賞与支給項目04
	
	public Integer getBonusAllowance05() {
		return bonusAllowance05;
	} // 賞与支給項目05
	
	public Integer getBonusAllowance06() {
		return bonusAllowance06;
	} // 賞与支給項目06
	
	public Integer getBonusAllowance07() {
		return bonusAllowance07;
	} // 賞与支給項目07
	
	public Integer getBonusAllowance08() {
		return bonusAllowance08;
	} // 賞与支給項目08
	
	public Integer getBonusAllowance09() {
		return bonusAllowance09;
	} // 賞与支給項目09
	
	public Integer getBonusAllowance10() {
		return bonusAllowance10;
	} // 賞与支給項目10
	
	public Integer getBonusAllowance11() {
		return bonusAllowance11;
	} // 賞与支給項目11
	
	public Integer getBonusAllowance12() {
		return bonusAllowance12;
	} // 賞与支給項目12
	
	public Integer getBonusAllowance13() {
		return bonusAllowance13;
	} // 賞与支給項目13
	
	public Integer getBonusAllowance14() {
		return bonusAllowance14;
	} // 賞与支給項目14
	
	public Integer getBonusAllowance15() {
		return bonusAllowance15;
	} // 賞与支給項目15
	
	public Integer getBonusAllowance16() {
		return bonusAllowance16;
	} // 賞与支給項目16
	
	public Integer getBonusAllowance17() {
		return bonusAllowance17;
	} // 賞与支給項目17
	
	public Integer getBonusAllowance18() {
		return bonusAllowance18;
	} // 賞与支給項目18
	
	public Integer getBonusAllowance19() {
		return bonusAllowance19;
	} // 賞与支給項目19
	
	public Integer getBonusAllowance20() {
		return bonusAllowance20;
	} // 賞与支給項目20
	
	public Integer getHealthInsurance() {
		return healthInsurance;
	} // 健康保険料
	
	public Integer getPensionInsurance() {
		return pensionInsurance;
	} // 厚生年金保険
	
	public Integer getEmployeeInsurance() {
		return employeeInsurance;
	} // 雇用保険料
	
	public Integer getIncomeTax() {
		return incomeTax;
	} // 所得税
	
	public Integer getNursingInsurance() {
		return nursingInsurance;
	} // 介護保険料
	
	public Integer getBonusDeduction06() {
		return bonusDeduction06;
	} // 賞与控除項目06
	
	public Integer getBonusDeduction07() {
		return bonusDeduction07;
	} // 賞与控除項目07
	
	public Integer getBonusDeduction08() {
		return bonusDeduction08;
	} // 賞与控除項目08
	
	public Integer getBonusDeduction09() {
		return bonusDeduction09;
	} // 賞与控除項目09
	
	public Integer getBonusDeduction10() {
		return bonusDeduction10;
	} // 賞与控除項目10
	
	public Integer getBonusDeduction11() {
		return bonusDeduction11;
	} // 賞与控除項目11
	
	public Integer getBonusDeduction12() {
		return bonusDeduction12;
	} // 賞与控除項目12
	
	public Integer getBonusDeduction13() {
		return bonusDeduction13;
	} // 賞与控除項目13
	
	public Integer getBonusDeduction14() {
		return bonusDeduction14;
	} // 賞与控除項目14
	
	public Integer getBonusDeduction15() {
		return bonusDeduction15;
	} // 賞与控除項目15
	
	public Integer getBonusDeduction16() {
		return bonusDeduction16;
	} // 賞与控除項目16
	
	public Integer getBonusDeduction17() {
		return bonusDeduction17;
	} // 賞与控除項目17
	
	public Integer getBonusDeduction18() {
		return bonusDeduction18;
	} // 賞与控除項目18
	
	public Integer getBonusDeduction19() {
		return bonusDeduction19;
	} // 賞与控除項目19
	
	public Integer getBonusDeduction20() {
		return bonusDeduction20;
	} // 賞与控除項目20
	
	public Integer getAllowanceTotal() {
		return allowanceTotal;
	} // 総支給金額
	
	public Integer getDeductionTotal() {
		return deductionTotal;
	} // 総控除金額
	
	public Integer getPaymentTotal() {
		return paymentTotal;
	} // 差引支給額
	
	public Integer getBank1PayAmount() {
		return bank1PayAmount;
	} // 銀行1振込額
	
	public Integer getBank2PayAmount() {
		return bank2PayAmount;
	} // 銀行2振込額
	
	public Integer getCashPayAmount() {
		return cashPayAmount;
	} // 現金支給額
	
	public Integer getDependentCount() {
		return dependentCount;
	} // 扶養等の数
	
	public Integer getLastMonthTaxation() {
		return lastMonthTaxation;
	} // 前月給与の課税対象額
	
	public Integer getTotalYearBonus() {
		return totalYearBonus;
	} // 年度累計賞与額
	
	public String getBelongCode() {
		return belongCode;
	} // 営業所コード
	
	public String getTitleAllowance01() {
		return titleAllowance01;
	} // 支給項目01タイトル
	
	public String getTitleAllowance02() {
		return titleAllowance02;
	} // 支給項目02タイトル
	
	public String getTitleAllowance03() {
		return titleAllowance03;
	} // 支給項目03タイトル
	
	public String getTitleAllowance04() {
		return titleAllowance04;
	} // 支給項目04タイトル
	
	public String getTitleAllowance05() {
		return titleAllowance05;
	} // 支給項目05タイトル
	
	public String getTitleAllowance06() {
		return titleAllowance06;
	} // 支給項目06タイトル
	
	public String getTitleAllowance07() {
		return titleAllowance07;
	} // 支給項目07タイトル
	
	public String getTitleAllowance08() {
		return titleAllowance08;
	} // 支給項目08タイトル
	
	public String getTitleAllowance09() {
		return titleAllowance09;
	} // 支給項目09タイトル
	
	public String getTitleAllowance10() {
		return titleAllowance10;
	} // 支給項目10タイトル
	
	public String getTitleAllowance11() {
		return titleAllowance11;
	} // 支給項目11タイトル
	
	public String getTitleAllowance12() {
		return titleAllowance12;
	} // 支給項目12タイトル
	
	public String getTitleAllowance13() {
		return titleAllowance13;
	} // 支給項目13タイトル
	
	public String getTitleAllowance14() {
		return titleAllowance14;
	} // 支給項目14タイトル
	
	public String getTitleAllowance15() {
		return titleAllowance15;
	} // 支給項目15タイトル
	
	public String getTitleAllowance16() {
		return titleAllowance16;
	} // 支給項目16タイトル
	
	public String getTitleAllowance17() {
		return titleAllowance17;
	} // 支給項目17タイトル
	
	public String getTitleAllowance18() {
		return titleAllowance18;
	} // 支給項目18タイトル
	
	public String getTitleAllowance19() {
		return titleAllowance19;
	} // 支給項目19タイトル
	
	public String getTitleAllowance20() {
		return titleAllowance20;
	} // 支給項目20タイトル
	
	public String getTitleDeduction01() {
		return titleDeduction01;
	} // 控除項目01タイトル
	
	public String getTitleDeduction02() {
		return titleDeduction02;
	} // 控除項目02タイトル
	
	public String getTitleDeduction03() {
		return titleDeduction03;
	} // 控除項目03タイトル
	
	public String getTitleDeduction04() {
		return titleDeduction04;
	} // 控除項目04タイトル
	
	public String getTitleDeduction05() {
		return titleDeduction05;
	} // 控除項目05タイトル
	
	public String getTitleDeduction06() {
		return titleDeduction06;
	} // 控除項目06タイトル
	
	public String getTitleDeduction07() {
		return titleDeduction07;
	} // 控除項目07タイトル
	
	public String getTitleDeduction08() {
		return titleDeduction08;
	} // 控除項目08タイトル
	
	public String getTitleDeduction09() {
		return titleDeduction09;
	} // 控除項目09タイトル
	
	public String getTitleDeduction10() {
		return titleDeduction10;
	} // 控除項目10タイトル
	
	public String getTitleDeduction11() {
		return titleDeduction11;
	} // 控除項目11タイトル
	
	public String getTitleDeduction12() {
		return titleDeduction12;
	} // 控除項目12タイトル
	
	public String getTitleDeduction13() {
		return titleDeduction13;
	} // 控除項目13タイトル
	
	public String getTitleDeduction14() {
		return titleDeduction14;
	} // 控除項目14タイトル
	
	public String getTitleDeduction15() {
		return titleDeduction15;
	} // 控除項目15タイトル
	
	public String getTitleDeduction16() {
		return titleDeduction16;
	} // 控除項目16タイトル
	
	public String getTitleDeduction17() {
		return titleDeduction17;
	} // 控除項目17タイトル
	
	public String getTitleDeduction18() {
		return titleDeduction18;
	} // 控除項目18タイトル
	
	public String getTitleDeduction19() {
		return titleDeduction19;
	} // 控除項目19タイトル
	
	public String getTitleDeduction20() {
		return titleDeduction20;
	} // 控除項目20タイトル
	
	public String getYear() {
		return year;
	}
	
	public String getMonth() {
		return month;
	}
	
	public void setKCode(String kCode) {
		this.kCode = kCode;
	} // 社員コード
	
	public void setCalcDate(Date calcDate) {
		this.calcDate = getDateField(calcDate);
	} // 計算年月
	
	public void setPayday(Date payday) {
		this.payday = getDateField(payday);
	} // 給与支給日
	
	public void setCalcStatus(String calcStatus) {
		this.calcStatus = calcStatus;
	} // 計算ステータス
	
	public void setKName(String kName) {
		this.kName = kName;
	} // 社員氏名
	
	public void setStationCode(String stationCode) {
		this.stationCode = stationCode;
	} // 所属コード
	
	public void setPositionCode(String positionCode) {
		this.positionCode = positionCode;
	} // 職位コード
	
	public void setEmploymentType(String employmentType) {
		this.employmentType = employmentType;
	} // 雇用区分
	
	public void setBonusAllowance01(Integer bonusAllowance01) {
		this.bonusAllowance01 = bonusAllowance01;
	} // 賞与支給項目01
	
	public void setBonusAllowance02(Integer bonusAllowance02) {
		this.bonusAllowance02 = bonusAllowance02;
	} // 賞与支給項目02
	
	public void setBonusAllowance03(Integer bonusAllowance03) {
		this.bonusAllowance03 = bonusAllowance03;
	} // 賞与支給項目03
	
	public void setBonusAllowance04(Integer bonusAllowance04) {
		this.bonusAllowance04 = bonusAllowance04;
	} // 賞与支給項目04
	
	public void setBonusAllowance05(Integer bonusAllowance05) {
		this.bonusAllowance05 = bonusAllowance05;
	} // 賞与支給項目05
	
	public void setBonusAllowance06(Integer bonusAllowance06) {
		this.bonusAllowance06 = bonusAllowance06;
	} // 賞与支給項目06
	
	public void setBonusAllowance07(Integer bonusAllowance07) {
		this.bonusAllowance07 = bonusAllowance07;
	} // 賞与支給項目07
	
	public void setBonusAllowance08(Integer bonusAllowance08) {
		this.bonusAllowance08 = bonusAllowance08;
	} // 賞与支給項目08
	
	public void setBonusAllowance09(Integer bonusAllowance09) {
		this.bonusAllowance09 = bonusAllowance09;
	} // 賞与支給項目09
	
	public void setBonusAllowance10(Integer bonusAllowance10) {
		this.bonusAllowance10 = bonusAllowance10;
	} // 賞与支給項目10
	
	public void setBonusAllowance11(Integer bonusAllowance11) {
		this.bonusAllowance11 = bonusAllowance11;
	} // 賞与支給項目11
	
	public void setBonusAllowance12(Integer bonusAllowance12) {
		this.bonusAllowance12 = bonusAllowance12;
	} // 賞与支給項目12
	
	public void setBonusAllowance13(Integer bonusAllowance13) {
		this.bonusAllowance13 = bonusAllowance13;
	} // 賞与支給項目13
	
	public void setBonusAllowance14(Integer bonusAllowance14) {
		this.bonusAllowance14 = bonusAllowance14;
	} // 賞与支給項目14
	
	public void setBonusAllowance15(Integer bonusAllowance15) {
		this.bonusAllowance15 = bonusAllowance15;
	} // 賞与支給項目15
	
	public void setBonusAllowance16(Integer bonusAllowance16) {
		this.bonusAllowance16 = bonusAllowance16;
	} // 賞与支給項目16
	
	public void setBonusAllowance17(Integer bonusAllowance17) {
		this.bonusAllowance17 = bonusAllowance17;
	} // 賞与支給項目17
	
	public void setBonusAllowance18(Integer bonusAllowance18) {
		this.bonusAllowance18 = bonusAllowance18;
	} // 賞与支給項目18
	
	public void setBonusAllowance19(Integer bonusAllowance19) {
		this.bonusAllowance19 = bonusAllowance19;
	} // 賞与支給項目19
	
	public void setBonusAllowance20(Integer bonusAllowance20) {
		this.bonusAllowance20 = bonusAllowance20;
	} // 賞与支給項目20
	
	public void setHealthInsurance(Integer healthInsurance) {
		this.healthInsurance = healthInsurance;
	} // 健康保険料
	
	public void setPensionInsurance(Integer pensionInsurance) {
		this.pensionInsurance = pensionInsurance;
	} // 厚生年金保険
	
	public void setEmployeeInsurance(Integer employeeInsurance) {
		this.employeeInsurance = employeeInsurance;
	} // 雇用保険料
	
	public void setIncomeTax(Integer incomeTax) {
		this.incomeTax = incomeTax;
	} // 所得税
	
	public void setNursingInsurance(Integer nursingInsurance) {
		this.nursingInsurance = nursingInsurance;
	} // 介護保険料
	
	public void setBonusDeduction06(Integer bonusDeduction06) {
		this.bonusDeduction06 = bonusDeduction06;
	} // 賞与控除項目06
	
	public void setBonusDeduction07(Integer bonusDeduction07) {
		this.bonusDeduction07 = bonusDeduction07;
	} // 賞与控除項目07
	
	public void setBonusDeduction08(Integer bonusDeduction08) {
		this.bonusDeduction08 = bonusDeduction08;
	} // 賞与控除項目08
	
	public void setBonusDeduction09(Integer bonusDeduction09) {
		this.bonusDeduction09 = bonusDeduction09;
	} // 賞与控除項目09
	
	public void setBonusDeduction10(Integer bonusDeduction10) {
		this.bonusDeduction10 = bonusDeduction10;
	} // 賞与控除項目10
	
	public void setBonusDeduction11(Integer bonusDeduction11) {
		this.bonusDeduction11 = bonusDeduction11;
	} // 賞与控除項目11
	
	public void setBonusDeduction12(Integer bonusDeduction12) {
		this.bonusDeduction12 = bonusDeduction12;
	} // 賞与控除項目12
	
	public void setBonusDeduction13(Integer bonusDeduction13) {
		this.bonusDeduction13 = bonusDeduction13;
	} // 賞与控除項目13
	
	public void setBonusDeduction14(Integer bonusDeduction14) {
		this.bonusDeduction14 = bonusDeduction14;
	} // 賞与控除項目14
	
	public void setBonusDeduction15(Integer bonusDeduction15) {
		this.bonusDeduction15 = bonusDeduction15;
	} // 賞与控除項目15
	
	public void setBonusDeduction16(Integer bonusDeduction16) {
		this.bonusDeduction16 = bonusDeduction16;
	} // 賞与控除項目16
	
	public void setBonusDeduction17(Integer bonusDeduction17) {
		this.bonusDeduction17 = bonusDeduction17;
	} // 賞与控除項目17
	
	public void setBonusDeduction18(Integer bonusDeduction18) {
		this.bonusDeduction18 = bonusDeduction18;
	} // 賞与控除項目18
	
	public void setBonusDeduction19(Integer bonusDeduction19) {
		this.bonusDeduction19 = bonusDeduction19;
	} // 賞与控除項目19
	
	public void setBonusDeduction20(Integer bonusDeduction20) {
		this.bonusDeduction20 = bonusDeduction20;
	} // 賞与控除項目20
	
	public void setAllowanceTotal(Integer allowanceTotal) {
		this.allowanceTotal = allowanceTotal;
	} // 総支給金額
	
	public void setDeductionTotal(Integer deductionTotal) {
		this.deductionTotal = deductionTotal;
	} // 総控除金額
	
	public void setPaymentTotal(Integer paymentTotal) {
		this.paymentTotal = paymentTotal;
	} // 差引支給額
	
	public void setBank1PayAmount(Integer bank1PayAmount) {
		this.bank1PayAmount = bank1PayAmount;
	} // 銀行1振込額
	
	public void setBank2PayAmount(Integer bank2PayAmount) {
		this.bank2PayAmount = bank2PayAmount;
	} // 銀行2振込額
	
	public void setCashPayAmount(Integer cashPayAmount) {
		this.cashPayAmount = cashPayAmount;
	} // 現金支給額
	
	public void setDependentCount(Integer dependentCount) {
		this.dependentCount = dependentCount;
	} // 扶養等の数
	
	public void setLastMonthTaxation(Integer lastMonthTaxation) {
		this.lastMonthTaxation = lastMonthTaxation;
	} // 扶養等の数
	
	public void setTotalYearBonus(Integer totalYearBonus) {
		this.totalYearBonus = totalYearBonus;
	} // 扶養等の数
	
	public void setBelongCode(String belongCode) {
		this.belongCode = belongCode;
	} // 所属コード
	
	public void setTitleAllowance01(String titleAllowance01) {
		this.titleAllowance01 = titleAllowance01;
	} // 支給項目01タイトル
	
	public void setTitleAllowance02(String titleAllowance02) {
		this.titleAllowance02 = titleAllowance02;
	} // 支給項目02タイトル
	
	public void setTitleAllowance03(String titleAllowance03) {
		this.titleAllowance03 = titleAllowance03;
	} // 支給項目03タイトル
	
	public void setTitleAllowance04(String titleAllowance04) {
		this.titleAllowance04 = titleAllowance04;
	} // 支給項目04タイトル
	
	public void setTitleAllowance05(String titleAllowance05) {
		this.titleAllowance05 = titleAllowance05;
	} // 支給項目05タイトル
	
	public void setTitleAllowance06(String titleAllowance06) {
		this.titleAllowance06 = titleAllowance06;
	} // 支給項目06タイトル
	
	public void setTitleAllowance07(String titleAllowance07) {
		this.titleAllowance07 = titleAllowance07;
	} // 支給項目07タイトル
	
	public void setTitleAllowance08(String titleAllowance08) {
		this.titleAllowance08 = titleAllowance08;
	} // 支給項目08タイトル
	
	public void setTitleAllowance09(String titleAllowance09) {
		this.titleAllowance09 = titleAllowance09;
	} // 支給項目09タイトル
	
	public void setTitleAllowance10(String titleAllowance10) {
		this.titleAllowance10 = titleAllowance10;
	} // 支給項目10タイトル
	
	public void setTitleAllowance11(String titleAllowance11) {
		this.titleAllowance11 = titleAllowance11;
	} // 支給項目11タイトル
	
	public void setTitleAllowance12(String titleAllowance12) {
		this.titleAllowance12 = titleAllowance12;
	} // 支給項目12タイトル
	
	public void setTitleAllowance13(String titleAllowance13) {
		this.titleAllowance13 = titleAllowance13;
	} // 支給項目13タイトル
	
	public void setTitleAllowance14(String titleAllowance14) {
		this.titleAllowance14 = titleAllowance14;
	} // 支給項目14タイトル
	
	public void setTitleAllowance15(String titleAllowance15) {
		this.titleAllowance15 = titleAllowance15;
	} // 支給項目15タイトル
	
	public void setTitleAllowance16(String titleAllowance16) {
		this.titleAllowance16 = titleAllowance16;
	} // 支給項目16タイトル
	
	public void setTitleAllowance17(String titleAllowance17) {
		this.titleAllowance17 = titleAllowance17;
	} // 支給項目17タイトル
	
	public void setTitleAllowance18(String titleAllowance18) {
		this.titleAllowance18 = titleAllowance18;
	} // 支給項目18タイトル
	
	public void setTitleAllowance19(String titleAllowance19) {
		this.titleAllowance19 = titleAllowance19;
	} // 支給項目19タイトル
	
	public void setTitleAllowance20(String titleAllowance20) {
		this.titleAllowance20 = titleAllowance20;
	} // 支給項目20タイトル
	
	public void setTitleDeduction01(String titleDeduction01) {
		this.titleDeduction01 = titleDeduction01;
	} // 控除項目01タイトル
	
	public void setTitleDeduction02(String titleDeduction02) {
		this.titleDeduction02 = titleDeduction02;
	} // 控除項目02タイトル
	
	public void setTitleDeduction03(String titleDeduction03) {
		this.titleDeduction03 = titleDeduction03;
	} // 控除項目03タイトル
	
	public void setTitleDeduction04(String titleDeduction04) {
		this.titleDeduction04 = titleDeduction04;
	} // 控除項目04タイトル
	
	public void setTitleDeduction05(String titleDeduction05) {
		this.titleDeduction05 = titleDeduction05;
	} // 控除項目05タイトル
	
	public void setTitleDeduction06(String titleDeduction06) {
		this.titleDeduction06 = titleDeduction06;
	} // 控除項目06タイトル
	
	public void setTitleDeduction07(String titleDeduction07) {
		this.titleDeduction07 = titleDeduction07;
	} // 控除項目07タイトル
	
	public void setTitleDeduction08(String titleDeduction08) {
		this.titleDeduction08 = titleDeduction08;
	} // 控除項目08タイトル
	
	public void setTitleDeduction09(String titleDeduction09) {
		this.titleDeduction09 = titleDeduction09;
	} // 控除項目09タイトル
	
	public void setTitleDeduction10(String titleDeduction10) {
		this.titleDeduction10 = titleDeduction10;
	} // 控除項目10タイトル
	
	public void setTitleDeduction11(String titleDeduction11) {
		this.titleDeduction11 = titleDeduction11;
	} // 控除項目11タイトル
	
	public void setTitleDeduction12(String titleDeduction12) {
		this.titleDeduction12 = titleDeduction12;
	} // 控除項目12タイトル
	
	public void setTitleDeduction13(String titleDeduction13) {
		this.titleDeduction13 = titleDeduction13;
	} // 控除項目13タイトル
	
	public void setTitleDeduction14(String titleDeduction14) {
		this.titleDeduction14 = titleDeduction14;
	} // 控除項目14タイトル
	
	public void setTitleDeduction15(String titleDeduction15) {
		this.titleDeduction15 = titleDeduction15;
	} // 控除項目15タイトル
	
	public void setTitleDeduction16(String titleDeduction16) {
		this.titleDeduction16 = titleDeduction16;
	} // 控除項目16タイトル
	
	public void setTitleDeduction17(String titleDeduction17) {
		this.titleDeduction17 = titleDeduction17;
	} // 控除項目17タイトル
	
	public void setTitleDeduction18(String titleDeduction18) {
		this.titleDeduction18 = titleDeduction18;
	} // 控除項目18タイトル
	
	public void setTitleDeduction19(String titleDeduction19) {
		this.titleDeduction19 = titleDeduction19;
	} // 控除項目19タイトル
	
	public void setTitleDeduction20(String titleDeduction20) {
		this.titleDeduction20 = titleDeduction20;
	} // 控除項目20タイトル
	
	public void setYear(String year) {
		this.year = year;
	}
	
	public void setMonth(String month) {
		this.month = month;
	}
	
}
